%{!?python_archlib: %define python_archlib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%define                 debug_package %{nil}

Name:		qct
Version:	1.7
Release:	3%{?dist}
Summary:	Multi-vcs GUI commit tool

Group:		Development/Tools
License:	GPLv2
URL:		http://qct.sourceforge.net/
Source0:	http://qct.sourceforge.net/%{name}-%{version}.tar.gz
Source1:	qct.desktop
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	python-devel PyQt4-devel desktop-file-utils
Requires:	python PyQt4

%description
Multi-vcs GUI commit tool.  Supports:
mercurial, bazaar, git, subversion, monotone, cvs

%prep
%setup -q -n qct

%build


%install
rm -rf $RPM_BUILD_ROOT
python setup.py install -O1 --root $RPM_BUILD_ROOT --record=%{name}.files --install-lib %{python_archlib}
install -D qct.rc $RPM_BUILD_ROOT/%{_sysconfdir}/mercurial/hgrc.d/qct.rc
install -D hgext/qct.py $RPM_BUILD_ROOT/%{python_archlib}/hgext/qct.py

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications

desktop-file-install  --vendor fedora \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications  \
    --add-category Development \
	%{SOURCE1}

chmod 755 $RPM_BUILD_ROOT/%{python_archlib}/qctlib/changeselect.py
chmod 644 $RPM_BUILD_ROOT/%{python_archlib}/hgext/qct.py $RPM_BUILD_ROOT/%{_sysconfdir}/mercurial/hgrc.d/qct.rc

%package	mercurial
Summary:	Mercurial plugin for qct
Group:		Development/Tools
Requires:	mercurial >= 0.9.5-3
Requires: 	%{name} = %{version}-%{release}

%description	mercurial
Installs qct.rc plugin for mercurial

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.files
%defattr(-,root,root,-)
%dir %{python_archlib}/qctlib
%dir %{python_archlib}/qctlib/vcs
%{_datadir}/applications/fedora-qct.desktop
%doc COPYING README.*

%files mercurial
%defattr(-,root,root,-)
%{_sysconfdir}/mercurial/hgrc.d/qct.rc
%{python_archlib}/hgext/qct.py*

%changelog
* Wed Apr  1 2009 Neal Becker <ndbecker2@gmail.com> - 1.7-3
- Add Req qt to qt-mercurial br 439675
- Own directories qctlib... br 474615

* Thu Mar 26 2009 Neal Becker <ndbecker2@gmail.com> - 1.7-2
- fix typo

* Thu Mar 26 2009 Neal Becker <ndbecker2@gmail.com> - 1.7-1
- Update to 1.7

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.5-7
- Rebuild for Python 2.6

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.5-6
- Autorebuild for GCC 4.3

* Sat Nov 17 2007 Neal Becker <ndbecker2@gmail.com> - 1.5-5
- Remove X-Fedora
- kill debug_package
- Tabify

* Fri Nov 16 2007 Neal Becker <ndbecker2@gmail.com> - 1.5-4
- Undo noarch
- Fix some permissions
- Patch qct to start from desktop

* Wed Nov 14 2007 Neal Becker <ndbecker2@gmail.com> - 1.5-2
- Add defattr to mercurial section
- Add (minimal) desktop file

* Mon Nov 12 2007 Neal Becker <ndbecker2@gmail.com> - 1.5-1
- Update to 1.5

* Fri Nov  9 2007 Neal Becker <ndbecker2@gmail.com> - 1.4-3
- Add noarch
- Install qct.py

* Fri Nov  9 2007 Neal Becker <ndbecker2@gmail.com> - 1.4-1
- Initial 

